升级到7.04后Cedega玩魔兽出错[已解决]

为当前最终发行版之前的所有版本提供支持
回复
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

升级到7.04后Cedega玩魔兽出错[已解决]

#1

帖子 toomanystars » 2007-04-06 15:40

/usr/lib/transgaming_cedega/gddb.py:19: RuntimeWarning: Python C API version mismatch for module gddb_parser: This Python has API version 1013, module gddb_parser has version 1012.
import gddb_parser

进去后画面都花掉了,谁知道怎么搞定吗?
上次由 toomanystars 在 2007-04-06 18:45,总共编辑 1 次。
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

#2

帖子 toomanystars » 2007-04-06 17:54

系统升级后默认的python为2.5,把/usr/bin/cedega中的python改为/usr/bin/phthon2.4后,错误提示就没有了,但魔兽仍然花屏,还是完不了
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

#3

帖子 toomanystars » 2007-04-06 18:26

贴张图看看
附件
Screenshot.jpg
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

#4

帖子 toomanystars » 2007-04-06 18:44

cedega 启动游戏时加一个-opengl参数好像就没有问题了,上面提到的RuntimeWarning好像并不影响程序运行,不改也没关系
头像
toomanystars
帖子: 168
注册时间: 2006-09-12 17:01
送出感谢: 0
接收感谢: 0

#5

帖子 toomanystars » 2007-04-06 18:56

好像还有些问题,如图所示,画面只能说基本正常,但有些3D效果有问题,注意后面的条状灯光,正常情况下是没有的。但游戏速度却很正常,甚至比较快。不研究它了,能完就行。有谁解决了请在下面同志我一下,谢谢!
附件
Screenshot.jpg
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 karron » 2007-04-06 20:14

这个截图还真炫阿.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
45003385
帖子: 2
注册时间: 2007-10-09 18:08
送出感谢: 0
接收感谢: 0

#7

帖子 45003385 » 2007-10-09 18:10

请问如何设置参数?
gg2005
帖子: 145
注册时间: 2007-09-25 18:54
送出感谢: 0
接收感谢: 0

#8

帖子 gg2005 » 2007-10-09 18:14

魔兽都可以玩哈。不知道有专门的liunx的软件吗?
45003385
帖子: 2
注册时间: 2007-10-09 18:08
送出感谢: 0
接收感谢: 0

#9

帖子 45003385 » 2007-10-09 19:50

我是说在启动时opengl参数是怎么设置的!
回复

回到 “老旧版本支持”